Lineage
Keywords: uk.ac.bbk.dcs.automed.dataWarehousing.dlt.Lineage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.dataWarehousing.dlt
Class Lineage

    java.lang.Object
      uk.ac.bbk.dcs.automed.dataWarehousing.dlt.Lineage

    public class Lineage

extends java.lang.Object

Author:
  hao To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Constructor Summary
`Lineage(ASG data, java.lang.String cons)`
`Lineage(ASG data, java.lang.String cons, java.lang.String[] setCons, java.lang.String varS, boolean setVirtualData, boolean setVirtualCons)`

Method Summary
`java.lang.String[]` | `getConstraint()`
`java.lang.String` | `getConstruct()`
`java.lang.String` | `getEleStruct()`
`ASG` | `getLinegeData()`
`boolean` | `is$V()`
`boolean` | `is$Vc()`
`boolean` | `is$VcTuple()`
`boolean` | `is$VTuple()`
`boolean` | `isVirtualConstruct()`
`boolean` | `isVirtualDate()`
`boolean` | `isVoid()`
`static void` | `main(java.lang.String[] args)`
`static void` | `printLineageList(java.util.ArrayList dl)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Lineage

    public Lineage(ASG data,
                   java.lang.String cons)

### Lineage

    public Lineage(ASG data,
                   java.lang.String cons,
                   java.lang.String[] setCons,
                   java.lang.String varS,
                   boolean setVirtualData,
                   boolean setVirtualCons)

Method Detail

### isVirtualDate

    public boolean isVirtualDate()

### isVirtualConstruct

    public boolean isVirtualConstruct()

### getConstraint

    public java.lang.String[] getConstraint()

### getEleStruct

    public java.lang.String getEleStruct()

### getLinegeData

    public ASG getLinegeData()

### getConstruct

    public java.lang.String getConstruct()

### isVoid

    public boolean isVoid()

### is$V

    public boolean is$V()

### is$Vc

    public boolean is$Vc()

### is$VTuple

    public boolean is$VTuple()

### is$VcTuple

    public boolean is$VcTuple()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### printLineageList

    public static void printLineageList(java.util.ArrayList dl)

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD